* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Poppins;
    text-decoration: none;
}
html{
    scroll-behavior: smooth;
}
header {
    width: 100%;
    background: #000000a8;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    padding: 15px 12%;
    z-index: 100;
}
.logo{
    font-weight: bolder;
    text-transform: uppercase;
    & a{
        color: #fff;
        text-decoration: none;
    }
    & span{
        color: #001eff;
    }
}
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.navlinks{
    display: flex;
    align-items: center;
    /* justify-content: space-between; */
    gap: 20px;
    & li{
        list-style: none;
        padding: 10px;
        position: relative;
        & a{
            color: #fff;
            text-decoration: none;
            transition: all .5s ease-in-out;
        }
        & a:hover{
            color: #233cf9;
        }
    }
}
.btn{
    background: #001eff;
    padding: 6px 20px;
    outline: none;
    border: none;
    border-radius: 50px;
    color: #fff;
    transition: all .5s ease-out;
    cursor: pointer;
    & a{
        color: #fff;
    }
}
.btn:hover{
    background: #001effb3;
    transform: scale(1.1);
}

.hero-section {
    width: 100%;
    min-height: 100vh;
    background-image: linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7),rgba(0,0,0,0.7)), url(images/img2.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;

    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 70px 10%;
    text-align: center;
    /* background: #000; */
    color: #fff;
    transition: all .5s ease-in;

    & h1 {
        font-size: clamp(2rem, 1vw, 3rem);
        font-weight: bolder;
        margin-bottom: 10px;
    }

    & .subtext {
        font-size: 1rem;
        color: #8f8f8f;
        margin-bottom: 10px;
    }
}

.input-area {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    border-radius: 50px;
    background: #e7e5e5;
    padding: 10px;
    /* width: 40rem; */
    transition: all .5s ease-in;
    margin-bottom: 20px;
    & i{
        color: #414141;
        margin-right: 10px;
    }
    & input {
        flex: 1;
        outline: none;
        border: none;
        background: transparent;
        padding-left: 10px;
    }

    /* & button {
        padding: 10px 20px;
        outline: none;
        border: none;
        border-radius: 50px;
        background: rgb(17, 0, 255);
        color: #fff;
    } */
}
.result{
    padding: 20px;
    display: none;
}
.secure{
    color: green;
    margin-bottom: 10px;
}
.danger{
    color: red;
}
.result-breakdown{
    width: 100%;
    transition: all .5s ease-in;
    border-radius: 10px;
}
table{
    /* border-collapse: separate; */
    border-spacing: 0;
    overflow: hidden;
    border: 1px solid #414141;
    text-align: left;
    border-radius: 10px;
    font-weight: 300;
    width: 100%;
    margin-bottom: 10px;
    backdrop-filter: blur(10px);
}

th{
    background: #1676fd65;
    font-weight: bold;
}
th, td{
    border-bottom: 1px solid #414141;
    padding: 20px;
}
td{
    font-size: 13px;
}

.download{
    width: 100%;
    padding: 10px;
    border: none;
    outline: none;
    background: #001eff84;
    color: #fff;
    border-radius: 5px;
    transition: all .5s ease-in-out;
}
.download:hover{
    background: #001eff;
}

.learning-section{
    min-height: 100vh;
    width: 100%;
    display: flex;
    padding-top: 70px;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-image: linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7),rgba(0,0,0,0.7)), url(images/img3.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    & h2 {
        font-size: clamp(2rem, 1vw, 2rem);
        font-weight: bolder;
        margin-bottom: 7px;
        color: #fff;
    }

    & .subtext {
        font-size: 1rem;
        color: #8f8f8f;
        margin-bottom: 20px;
    }
}

.container{
    gap: 20px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    padding: 0px 20px;
}
.card{
    background: #00118e84;
    max-width: 350px;
    height: 350px;
    padding: 10px;
    border-radius: 20px;
    transition: all .5s ease-in-out;
    backdrop-filter: blur(10px);
    cursor: pointer;
    z-index: 0;
}
.card:hover{
    transform: translateY(-5px) scale(1.05);
}
.card-title{
    font-size: 13px;
    font-weight: 500;
    color: #fff;
    text-align: center;
    background: #000;
    width: 100%;
    border-radius: 50px;
    margin-bottom: 10px;
    padding: 5px;
}

.card-subtitle{
    font-size: 12px;
    font-weight: 400;
    color: #fff;
    margin-bottom: 10px;
}

.card-body{
    font-size: 11px;
    color: rgb(169, 169, 169);
    & ul{
        & li{
            list-style: none;
            padding: 10px;
            background: #001eff84;
            border-radius: 10px;
            margin-bottom: 10px;
            transition: all .5s ease-in-out;
            word-wrap: wrap;
            & span{
                color: #fff;
                font-size: 12px;
                font-weight: 400;
            }
        }
        & li:hover{
            background: #1900ffb8;
            color: #e4e4e4
        }
    }
}

/* loading animation */
.loading{
    display: flex;
    text-align: center;
    justify-content: center;
    align-items: center;
    height: 100px;
    width: 100px;
    margin-top: 10px;
    /* background: red; */
    display: none;
    transition: display .3s ease-in-out;
    & .ring{
        position: absolute;
        width: 100px;
        height: 100px;
        border-radius: 50%;
        animation: ring 2s linear infinite;
    }
    & .ring::before{
        position: absolute;
        content: '';
        left: 0;
        top: 0;
        height: 100%;
        width: 100%;
        box-shadow: 0 0 5px rgba(255, 255, 255, .3);
        border-radius: 50%;
    }
    & span{
        color: #fff;
        font-size: .8rem;
        text-transform: uppercase;
        letter-spacing: 1px;
        line-height: 200px;
        animation: text 3s ease-in-out infinite;
    }
}

@keyframes ring {
    0%{
        transform: rotate(0deg);
        box-shadow: 1px 3px 1px #233cf9;
        /* box-shadow: 1px 5px 2px #0456c8; */
    }
    50%{
        transform: rotate(180deg);
        box-shadow: 1px 3px 1px #233cf9;
        /* box-shadow: 1px 5px 2px #0456c8; */
    }
    100%{
        transform: rotate(360deg);
        box-shadow: 1px 3px 1px #233cf9;
    }
}

@keyframes text {
    50%{
        color: #001eff;
        font-size: .8rem;
    }
}

/* menu bars */
.menu-btn {
    display: none;
    width: 30px;
    cursor: pointer;
}

.menu-btn .bar {
    height: 3px;
    width: 100%;
    background-color: #fff;
    margin: 5px 0;
    transition: .4s;
    border-radius: 2px;
}

.menu-btn .second {
    width: 50%;
}

.menu-btn.open .first {
    transform: rotate(45deg) translate(5px, 5px);
}

.menu-btn.open .second {
    opacity: 0;
}

.menu-btn.open .third {
    transform: rotate(-45deg) translate(6px, -6px);
}

/* menu end */







/* Responsive: ≤ 834px */
/* @media (max-width: 834px) {
  body {
    padding: 10px;
  }
  .container, .content, .header, .footer {
    width: 100%;
    flex-direction: column;
    text-align: center;
  }
} */

/* Responsive: ≤ 768px */
/* 
 */

/* Responsive: ≤ 480px */
@media (max-width: 480px) {
    .menu-btn {
        display: block;
    }
    
    .dropdown {
        position: fixed;
        display: flex;
        flex-direction: column;
        top: 0;
        left: -250px;
        /* left: 0; */
        width: 250px;
        height: 100%;
        background: #000000f2;
        box-shadow: 2px 0 10px rgba(0, 0, 0, 0.3);
        transition: left .4s ease;
        z-index: 1000;
        padding: 20px;
        color: #fff;
    }

    & .menu-btn{
        display: block;
    }

    & .dropdown.open {
        left: 0;
    }

    .container{
        grid-template-columns: repeat(1, 1fr);
        margin-bottom: 20px;
    }
    .card:hover{
        transform: scale(1.02);
    }
}
